﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid

Public Class frmEmployee

    Private objEmp As New clsEmployee

    Private bGridHeaderClick As Boolean

    Private Sub grdEmployee_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles grdEmployee.InitializeLayout
        grdEmployee.DisplayLayout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.False
        e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect
        grdEmployee.DisplayLayout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ResizeAllColumns
    End Sub

    Private Sub grdEmployee_MouseEnterElement(ByVal sender As Object, ByVal e As Infragistics.Win.UIElementEventArgs) Handles grdEmployee.MouseEnterElement
        If TypeOf e.Element Is Infragistics.Win.UltraWinGrid.HeaderUIElement Or TypeOf e.Element Is  _
Infragistics.Win.UltraWinScrollBar.ScrollBarUIElement Then
            ''Stop running double click event's code when double click on scroll bar or hearder
            bGridHeaderClick = True
        End If
    End Sub

    Private Sub grdEmployee_MouseLeaveElement(ByVal sender As Object, ByVal e As Infragistics.Win.UIElementEventArgs) Handles grdEmployee.MouseLeaveElement
        If TypeOf e.Element Is Infragistics.Win.UltraWinGrid.HeaderUIElement Or TypeOf e.Element Is  _
        Infragistics.Win.UltraWinScrollBar.ScrollBarUIElement Then
            ''Stop running double click event's code when double click on scroll bar or hearder
            bGridHeaderClick = False
        End If
    End Sub

    Private Sub grdEmployee_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles grdEmployee.MouseUp
        Try
            '' Retrieve the UIElement from the location of the MouseUp
            Dim mouseupUIElement As UIElement = Me.grdEmployee.DisplayLayout.UIElement.ElementFromPoint(New Point(e.X, e.Y))

            ''Retrieve the Column from the UIElement
            Dim mouseupColumn As UltraGridColumn = mouseupUIElement.GetContext(GetType(UltraGridColumn))
        Catch ex As Exception
            Exit Sub
        End Try
    End Sub

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
    End Sub

    Private Sub frmEmployee_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        RefreshEmployee()
    End Sub

    Public Sub RefreshEmployee()
        grdEmployee.DataSource = objEmp.GetDataAsTable
    End Sub

    Public Sub RefreshEmployee(ByVal StrQuery As String)
        grdEmployee.DataSource = objEmp.GetDataAsTable(StrQuery)
    End Sub

    Private Sub btnCallForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCallForm.Click
        frmReloadFrom.Show()
    End Sub

    Public Sub AddNew()
        With objEmp
            .AdvertTitle = "This is a Testing"
            .AdvertDetial = "Created to do the testing"
            .Media = "InterNet"
            .CostCentre = "Driving"
            .BranchLocation = "London"
            .Response = "It is a test"
            .UserName = "Savan"
            .UpdateDate = String.Format("{0:yyyyMMdd}", Now)
        End With
        objEmp.SaveEmp()
    End Sub
End Class
